Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.hasessionstate.server
Class PackagedSessionImpl

    java.lang.Object
      org.jboss.ha.hasessionstate.server.PackagedSessionImpl

All Implemented Interfaces:
  PackagedSession, Serializable

public class PackagedSessionImpl
extends Object
implements PackagedSession

Default implementation of PackagedSession

Version:
  $Revision: 1.3 $
Author:
  sacha.labourey@cogito-info.ch
See Also:
  `PackagedSession, HASessionStateImpl`, Serialized Form

Field Summary
`protected Serializable` | `key`
`protected long` | `lastModificationTimeInVM`
`protected String` | `owner`
`protected byte[]` | `state`
`protected long` | `versionId`

Constructor Summary
`PackagedSessionImpl()`
`PackagedSessionImpl(Serializable key, byte[] state, String owner)`

Method Summary
`Serializable` | `getKey()`
`String` | `getOwner()`
`byte[]` | `getState()`
`long` | `getVersion()`
`boolean` | `isStateIdentical(byte[] state)`
`void` | `setKey(Serializable key)`
`void` | `setOwner(String owner)`
`boolean` | `setState(byte[] state)`
`long` | `unmodifiedExistenceInVM()`
`void` | `update(PackagedSession clone)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### state

    protected byte[] state

### versionId

    protected long versionId

### owner

    protected String owner

### key

    protected Serializable key

### lastModificationTimeInVM

    protected transient long lastModificationTimeInVM

Constructor Detail

### PackagedSessionImpl

    public PackagedSessionImpl()

### PackagedSessionImpl

    public PackagedSessionImpl(Serializable key,
                               byte[] state,
                               String owner)

Method Detail

### getState

    public byte[] getState()

  Specified by:
    `getState` in interface `PackagedSession`

### setState

    public boolean setState(byte[] state)

  Specified by:
    `setState` in interface `PackagedSession`

### isStateIdentical

    public boolean isStateIdentical(byte[] state)

  Specified by:
    `isStateIdentical` in interface `PackagedSession`

### update

    public void update(PackagedSession clone)

  Specified by:
    `update` in interface `PackagedSession`

### getOwner

    public String getOwner()

  Specified by:
    `getOwner` in interface `PackagedSession`

### setOwner

    public void setOwner(String owner)

  Specified by:
    `setOwner` in interface `PackagedSession`

### getVersion

    public long getVersion()

  Specified by:
    `getVersion` in interface `PackagedSession`

### getKey

    public Serializable getKey()

  Specified by:
    `getKey` in interface `PackagedSession`

### setKey

    public void setKey(Serializable key)

  Specified by:
    `setKey` in interface `PackagedSession`

### unmodifiedExistenceInVM

    public long unmodifiedExistenceInVM()

  Specified by:
    `unmodifiedExistenceInVM` in interface `PackagedSession`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.